<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- CSRF Token -->
  <meta name="csrf-token" content="{{ csrf_token() }}">
  <title>テクニカル諏訪子</title>
  <!-- Styles -->
  <link rel="shortcut icon" href="/assets/img/favicon.jpeg">
  <link rel="apple-touch-icon" sizes="57x57" href="/apple-icon-57x57.png">
  <link rel="apple-touch-icon" sizes="60x60" href="/apple-icon-60x60.png">
  <link rel="apple-touch-icon" sizes="72x72" href="/apple-icon-72x72.png">
  <link rel="apple-touch-icon" sizes="76x76" href="/apple-icon-76x76.png">
  <link rel="apple-touch-icon" sizes="114x114" href="/apple-icon-114x114.png">
  <link rel="apple-touch-icon" sizes="120x120" href="/apple-icon-120x120.png">
  <link rel="apple-touch-icon" sizes="144x144" href="/apple-icon-144x144.png">
  <link rel="apple-touch-icon" sizes="152x152" href="/apple-icon-152x152.png">
  <link rel="apple-touch-icon" sizes="180x180" href="/apple-icon-180x180.png">
  <link rel="apple-touch-icon" href="/apple-touch-icon.png" />
  <link rel="apple-touch-icon" sizes="57x57" href="/apple-touch-icon-57x57.png" />
  <link rel="apple-touch-icon" sizes="72x72" href="/apple-touch-icon-72x72.png" />
  <link rel="apple-touch-icon" sizes="76x76" href="/apple-touch-icon-76x76.png" />
  <link rel="apple-touch-icon" sizes="114x114" href="/apple-touch-icon-114x114.png" />
  <link rel="apple-touch-icon" sizes="120x120" href="/apple-touch-icon-120x120.png" />
  <link rel="apple-touch-icon" sizes="144x144" href="/apple-touch-icon-144x144.png" />
  <link rel="apple-touch-icon" sizes="152x152" href="/apple-touch-icon-152x152.png" />
  <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon-180x180.png" />
  <link rel="icon" type="image/png" sizes="192x192"  href="/android-icon-192x192.png">
  <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="96x96" href="/favicon-96x96.png">
  <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
  <link rel="manifest" href="/manifest.json">
  <meta name="msapplication-TileColor" content="#3daee9">
  <meta name="msapplication-TileImage" content="/ms-icon-144x144.png">
  <meta name="theme-color" content="#3daee9">
  <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
  <nav class="navbar fixed-top navbar-dark bg-dark navbar-expand-md">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#hide-smaho" aria-controls="hide-smaho" aria-expanded="false" aria-label="hide-smaho">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="hide-smaho">
      <a href="#" class="navbar-brand"><img src="/assets/img/favicon.jpeg" style="border-radius: 4px;" width="30" height="30" alt=""></a>
      <ul class="navbar-nav mr-auto">
        <li class="nav-item"><a class="nav-link{{ (strpos($_SERVER['REQUEST_URI'], '/blog') !== false || $_SERVER['REQUEST_URI'] == '/' ? ' active' : '') }}" href="/">トップ</a></li>
        <li class="nav-item"><a class="nav-link{{ ($_SERVER['REQUEST_URI'] == '/passman' ? ' active' : '') }}" href="#">パスマン</a></li>
      </ul>
      <ul class="navbar-nav ml-auto">
        @if ($user)
          <li class="nav-item dropdown">
            <a href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="nav-link dropdown-toggle" id="userdown">
              <img src="/{{ $user->profile->avatar }}" height="25px">
              <span style="{{ $user->profile->name_style }}">{{ $user->profile->showname }}</span>
            </a>
            <ul tabindex="-1" class="dropdown-menu dropdown-menu-right" aria-labelledby="userdown">
              <li><a role="menuitem" target="_self" href="/profile/{{ $user->id }}" class="dropdown-item">プロファイルの表示</a></li>
              <li><a role="menuitem" target="_self" href="/profile/{{ $user->id }}" class="dropdown-item">プロファイルの編集</a></li>
              <li><div class="dropdown-divider"></div></li>
              <li><a role="menuitem" target="_self" href="/logout" class="dropdown-item">サインアウト</a></li>
            </ul>
          </li>
        @else
          <li class="nav-item dropdown">
            <a href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="nav-link dropdown-toggle" id="userdown">未入会者</a>
            <ul tabindex="-1" class="dropdown-menu dropdown-menu-right" aria-labelledby="userdown">
              <li class="nav-item"><a target="_self" href="/login" class="nav-link">サインイン</a></li>
              <li class="nav-item"><a target="_self" href="/register" class="nav-link">新規登録</a></li>
            </ul>
          </li>
        @endif
      </ul>
    </div>
  </nav>
  <div id="app">
    <div class="container">
      <div class="row" style="padding: 32px 0;">
        <div class="col">
          <img class="img-fluid logo-img" src="/assets/img/header.png" />
          <div class="logo-c">テクニカル諏訪子</div>
          <div class="logo-br">
            <div class="logo-sns"><a href="https://www.bitchute.com/channel/technicalsuwako" alt="ビットチュート"><img src="/assets/img/bitchute.png" alt="ビットチュートのロゴ" /></a></div>
            <div class="logo-sns"><a href="https://www.twitter.com/TechnicalSuwako" alt="ツイッター"><img src="/assets/img/twitter.png" alt="ツイッターのロゴ" /></a></div>
            <div class="logo-sns"><a href="テクニカル諏訪子#3116" alt="ディスコード"><img src="/assets/img/discord.png" alt="ディスコードのロゴ" /></a></div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md" style="padding-bottom: 32px;">
          <div class="within">
            <a href="#" onclick="showdiv('dragger');"><img src="/assets/img/bash/app_icon.png" width="50" /></a>
          </div>
          <div class="konsole" id="dragger">
            <div class="draggerheader">
              <div class="konsole_top_left"></div>
              <div class="konsole_top"><div style="width: 540px; margin: auto;">ロリ端末</div></div>
              <div class="konsole_top_min"></div>
              <div class="konsole_top_max"></div>
              <div class="konsole_top_right" onclick="hidediv('dragger');"></div>
            </div>
            <div class="konsole_left"></div>
            <div class="konsoleuser">
              ロリコマンドラインですね〜♡<br />
              shiken@technicalsuwako.jp:/$ <span style="font-stretch: condensed;">█</span>
            </div>
            <div class="konsole_right"></div>
            <div class="konsole_bottom_left"></div>
            <div class="konsole_bottom"></div>
            <div class="konsole_bottom_right"></div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-3" style="padding-bottom: 32px;">
          <div class="nav flex-column nav-pills sidemenu">
            <a href="/" class="nav-link {{ ($_SERVER['REQUEST_URI'] == '/' ? 'bara' : 'bar') }}">トップ</a>
            @foreach ($menu as $m)
              <a href="/{{ $m['slug'] }}" class="nav-link {{ ($_SERVER['REQUEST_URI'] == '/'.$m['slug'] ? 'bara' : 'bar') }}">{{ $m['title'] }}</a>
            @endforeach
          </div>
        </div>
        <div class="col-md">
          @yield('content')
        </div>
      </div>
      <div class="row">
        <div class="col-sm" style="text-align: center; margin: 20px; color: #bdc3c7;">
          テクニカル諏訪子のホームページに来まして有難う御座います。ソースコードは<a href="https://git.076.ne.jp/communities/current/076server">こちら</a>です。
        </div>
      </div>
    </div>
  </div>

  <!-- Scripts -->
  <script src="{{ asset('js/app.js') }}"></script>
  <script>
    dragElement(document.getElementById("dragger"));

    function dragElement (elmnt) {
      var pos1 = 0, pos2 = 0, pos3 = 0, pos4 = 0;
      if (document.getElementById(elmnt.id + "header")) document.getElementById(elmnt.id + "header").onmousedown = dragMouseDown;
      else elmnt.onmousedown = dragMouseDown;

      function dragMouseDown (e) {
        e = e || window.event;
        e.preventDefault();
        pos3 = e.clientX;
        pos4 = e.clientY;
        document.onmouseup = closeDragElement;
        document.onmousemove = elementDrag;
      }

      function elementDrag (e) {
        e = e || window.event;
        e.preventDefault();
        pos1 = pos3 - e.clientX;
        pos2 = pos4 - e.clientY;
        pos3 = e.clientX;
        pos4 = e.clientY;
        elmnt.style.top = (elmnt.offsetTop - pos2) + "px";
        elmnt.style.left = (elmnt.offsetLeft - pos1) + "px";
      }

      function closeDragElement () {
        document.onmouseup = null;
        document.onmousemove = null;
      }
    }

    function showdiv (id) {
      if (showdiv.div) showdiv.div.style.display = 'none';
      showdiv.div = document.getElementById(id);
      showdiv.div.style.display = 'block';
    }

    function hidediv (id) {
      if (showdiv.div) showdiv.div.style.display = 'block';
      showdiv.div = document.getElementById(id);
      showdiv.div.style.display = 'none';
    }
  </script>
</body>
</html>
